Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8294956

GHA: qemu-debootstrap is deprecated, use the regular one

    XMLWordPrintable

Details

    • b19

    Backports

      Description

        On current Ubuntu systems, qemu-debootstrap is deprecated. It prints the warning messages like:

        ```
        $ sudo qemu-debootstrap --arch=arm64 --verbose --include=fakeroot,symlinks,build-essential,libx11-dev,libxext-dev,libxrender-dev,libxrandr-dev,libxtst-dev,libxt-dev,libcups2-dev,libfontconfig1-dev,libasound2-dev,libfreetype6-dev,libpng-dev --resolve-deps bullseye aarch64-sysroot https://httpredir.debian.org/debian/
        ...
        W: qemu-debootstrap is deprecated. Please use regular debootstrap directly
        ```

        Attachments

          Issue Links

            Activity

              People

                shade Aleksey Shipilev
                shade Aleksey Shipilev
                Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                  Created:
                  Updated:
                  Resolved: